% !TeX program = xelatex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Maggi Memoir Thesis
% XeLaTeX Template
% Version 1.0 (22/12/13)
%
% This template has been downloaded from:
% http://www.LaTeXTemplates.com
%
% Original authors:
% Federico Maggi (fede@maggi.cc) with extensive modifications by:
% Vel (vel@latextemplates.com)
%
% License:
% CC BY-NC-SA 3.0 (http://creativecommons.org/licenses/by-nc-sa/3.0/)
%
% Important notes:
% This template needs to be compiled with XeLaTeX.
%
% Most of the document content and packages are specified within structure.tex
% so if you need to make modifications to the template have a look there first!
%
% This template uses several fonts that are not available on most operating 
% systems by default. These are: Adobe Caslon Pro, Envy Code R and 
% Optima Regular. You will either need to obtain these and install them on your
% system or change them to different fonts. Simply go to the Fonts block just
% below here and modify their names to other fonts. You can also comment them 
% out completely to use the default LaTeX font.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------

\documentclass[10pt,a4paper,twoside]{memoir} % Change font size here (allowable values are 9pt-12pt), change the paper size, specify one or two sided printing and specify whether to show trimming lines

\input{packages.tex}
\input{commands.tex}
\input{structure.tex}
%------------------------------------------------
% Thesis Information
%\font\fontone=cmr12 at 18pt
\title{\huge Capturing Semantic Similarity \\in Querying User Reviews} % Thesis title

\author{Giulia Baldini} % Author name

\date{July 2018} % The date

\newcommand{\institution}{\large Free University of Bozen-Bolzano\xspace} % University/institution name

\newcommand{\department}{\large Faculty of Computer Science\xspace} % Department name

%------------------------------------------------
% Fonts

%\defaultfontfeatures{Mapping=tex-text}
%\setromanfont[Ligatures={Common}]{Adobe Caslon Pro} % Normal document font
%\setmonofont[Scale=0.8]{Envy Code R} % Mono spaced font (\texttt{})
%\setsansfont[Scale=0.9]{Optima Regular} % Sans-serif font (\textsf{})

\renewcommand*{\acffont}[1]{{\normalsize\itshape #1}} % Font style for the acronym text (e.g. Do It Yourself)
\renewcommand*{\acfsfont}[1]{{\normalsize\upshape #1}} % Font style for the acronym in bracket (e.g. (DIY))

%------------------------------------------------
% Hyphenations

\hyphenation{a-no-ma-lous a-no-ma-ly amounts breaches} % Specify custom hyphenation points in words with dashes where you would like hyphenation to occur, or alternatively, don't put any dashes in a word to stop hyphenation altogether

%----------------------------------------------------------------------------------------
%	TITLE PAGE
%----------------------------------------------------------------------------------------

\renewcommand{\maketitlehooka}{
\centering
\includegraphics[width=4.5cm]{Unibz_Logo}\\[.5cm] % Institution logo
\institution\\ % Print institution name
\emph{\department}\\[.2cm] % Print department name
\large Bachelor in Computer Science and Engineering
% Degree or other information
\par
\hrulefill
\vfill}
\renewcommand{\maketitlehookb}{\vfill}
\renewcommand{\maketitlehookc}{
\vfill
\begin{flushleft}
	Supervisor:\\
	\textbf{Prof. Dr. Mouna Kacimi El Hassani}\\[.3cm] % Advisor's/supervisor's name
	Second Supervisor:\\
	\textbf{Prof. Dr. Werner Nutt}\\[.3cm] % Tutor's name
\end{flushleft}
\vfill}
\preauthor{\begin{flushright}Bachelor Dissertation of\\\bfseries} % Text prior to the author name - right aligned and bold
\postauthor{\end{flushright}} % After the author name, stop right alignment

%----------------------------------------------------------------------------------------

\makeindex % Write an index file

\begin{document}

\begin{titlingpage}
	\maketitle % Print the title page
\end{titlingpage}

\frontmatter % Use roman page numbering style (i, ii, iii, iv...) for the pre-content pages

%----------------------------------------------------------------------------------------
%	PREFACE
%----------------------------------------------------------------------------------------

\section*{Acknowledgment}
A big thank you to mum and dad, whose dream always was to see me in this moment. You supported me and stood by my side in every decision I made, and I could never be more thankful or feel more love. To Elisa, who has been like a mum to me. You taught me how to be strong and had a home for me when I felt like I did not have one. To her beautiful daughter Camilla, my oldest friend and confidant. To my amazing Jonas, who has been the most important part of my life in the last year. To the very long list of friends I have in Bolzano, who patiently kept listening to my nonsense for the past three years. To England, to Spain, to Germany. To everyone I met in the last three years, who has shared at least a bit of this path with me.

\begin{flushright}
	\textsc{\theauthor}\\
	Bolzano\\
	July 2018
\end{flushright}

\cleardoublepage % Force a break to an even page

%----------------------------------------------------------------------------------------
%	ABSTRACT
%----------------------------------------------------------------------------------------

\begin{abstract}
Travel websites give users the opportunity to review hotels by writing comments. However, there is no standardised way to do so, making it hard for other users to retrieve the information they want in a structured way. Moreover, comments are written by visitors coming from very different cultural and social backgrounds. As a result, two reviews describing the same hotel in the same manner will use very different words. In this work we unite semantics differences in words by using query expansion. In that context we extend the system ToKnow, developed in an internal project at Unibz, which has the aim to collect and index hotel reviews such that they can be queried easily. Here user opinions are mostly described with adjectives, which define an asset of the hotel with many different shades. Our aim is to make all the similar shades accessible to a querying user. We explore the tools that allow to investigate semantic similarity and extend them by counting in context. Furthermore, we propose new ranking methods based on static scales and learned scales. Finally we evaluate the effectiveness of our method on a user-generated ground truth using statistics and evaluation measures such as precision and recall. 
\vspace{2em}

I siti di viaggi offrono agli utenti la possibilità di recensire hotel scrivendo commenti. Tuttavia, non esiste nessun modo standardizzato per farlo, il che rende difficile recuperare le informazioni desiderate in modo strutturato. Inoltre, i commenti dimostrano una grande variabilità, in quanto scritti da visitatori provenienti da contesti culturali e sociali molto diversi. Di conseguenza, due recensioni che descrivono lo stesso hotel nello stesso modo utilizzeranno parole molto diverse. In questo lavoro uniamo le differenze semantiche delle parole utilizzando la metodologia dell'espansione di query. In questo contesto estendiamo il sistema ToKnow, sviluppato in un progetto interno di Unibz, che ha lo scopo di raccogliere e indicizzare le recensioni degli hotel in modo che possano essere facilmente consultate. Qui le opinioni degli utenti sono per lo più descritte con aggettivi, che definiscono una risorsa dell'hotel con molte sfumature diverse. Il nostro obiettivo è quello di rendere tutte le tonalità simili accessibili all'utente che effettua la ricerca. Esploriamo gli strumenti che permettono di indagare la somiglianza semantica e li estendiamo tenendo conto del loro contesto. Inoltre, proponiamo nuovi metodi di classificazione basati su \textit{static scales} e \textit{learned scales}. Infine valutiamo l'efficacia dei nostri metodi su una \textit{ground truth} generata tramite un questionario, usando statistiche e misure di valutazione come precisione e recupero.
\vspace{2em}

Reise-Websites bieten ihren Nutzern die Möglichkeit, Hotels durch Kommentare zu bewerten. Dafür gibt es jedoch keinen standardisierten Weg, sodass es für andere Nutzer schwierig ist, die gewünschten Informationen in strukturierter Form abzurufen. Darüber hinaus werden Kommentare von Personen mit stark verschiedenen kulturellen und sozialen Hintergründen verfasst. Deswegen können zwei Bewertungen, die dasselbe Hotel auf die gleiche Art und Weise beschreiben, sehr unterschiedliche Wörter verwenden. In dieser Arbeit vereinen wir semantische Unterschiede von Wörtern, indem wir Suchanfragen erweitern. In diesem Zusammenhang entwickeln wir das System ToKnow weiter, welches in einem internen Projekt der Universität Bozen entstanden ist. Dieses hat zum Ziel, Hotelbewertungen zu sammeln und zu indexieren, sodass sie leicht abgefragt werden können. Meist drücken die Nutzer ihre Meinung mit Adjektiven aus, die einen Aspekt des Hotels in vielen verschiedenen Ausprägungen beschreiben können. Unser Ziel ist es, einem anfragenden Benutzer alle ähnlich ausgeprägten Meinungen leicht zugänglich zu machen. Wir erforschen dazu die Werkzeuge, die das Untersuchen von semantischer Ähnlichkeit ermöglichen, und erweitern diese durch Zählen im Kontext. Darüber hinaus schlagen wir neue Rankingmethoden vor, die sowohl auf statischen Skalen als auch auf erlernten Skalen basieren. Abschließend evaluieren wir die Wirksamkeit unserer Methoden mithilfe von Daten aus einer Benutzerstudie und statistischen Evaluationsmaßen wie der Genauigkeit und Sensitivität.

\end{abstract}

\cleardoublepage % Force a break to an even page

%----------------------------------------------------------------------------------------
%	TABLE OF CONTENTS
%----------------------------------------------------------------------------------------

\tableofcontents* % Print the table of contents

%\cleartoverso % Force a break to an even page
\newpage

%----------------------------------------------------------------------------------------
%	LIST OF FIGURES
%----------------------------------------------------------------------------------------

\listoffigures % Print the list of figures

%\cleartoverso % Force a break to an even page
\newpage
%----------------------------------------------------------------------------------------
%	LIST OF TABLES
%----------------------------------------------------------------------------------------

\listoftables % Print the list of tables

%\cleartoverso % Force a break to an even page
\newpage

%----------------------------------------------------------------------------------------
%	CONTENT CHAPTERS
%----------------------------------------------------------------------------------------

\mainmatter % Begin numeric (1,2,3...) page numbering

\chapterstyle{thesis} % Change the style of the Chapter header to that defined in structure.tex

%\setlength{\headwidth}{\textwidth}
%\addtolength{\headwidth}{\marginparsep}
%\addtolength{\headwidth}{\marginparwidth}
%%\pagestyle{companion}
\pagestyle{Ruled} % Include the chapter/section in the header along with a horizontal rule underneath
%\makeheadrule{Ruled}{\textwidth}{1pt} % remove plain header rule

\include{Chapters/1introduction} % Include the introduction chapter
\include{Chapters/2relatedwork} % Include the first content chapter
\include{Chapters/3problemdescription} % Include the first content chapter
\include{Chapters/4approaches} % Include the second content chapter
\include{Chapters/5evaluation} % Include the third content chapter
\include{Chapters/6conclusion} % Include the fourth content chapter

\backmatter

\chapterstyle{default} % Reset the chapter style back to the default used for non-content chapters

%----------------------------------------------------------------------------------------
%	BIBLIOGRAPHY
%----------------------------------------------------------------------------------------

\bibliographystyle{abbrvnat} % Use the plainnat bibliography style

\bibliography{bibliography} % Use the bibliography.bib file as the source of references

%----------------------------------------------------------------------------------------
%	INDEX
%----------------------------------------------------------------------------------------

\printindex % Print the index

%----------------------------------------------------------------------------------------

\end{document}